Subject: problem with new threedy highlight code

From: [email-masked]
Date: Tue, 8 Dec 1998 20:22:12 -0600 (CST)

Full_Name: Adam Rice
Version: 2.1.4
CVS_Date: 
OS: Linux 2.0.35
X_Server: Xfree86 3.3.3
Submission from: (NULL) (193.133.58.12)

Upon first running the new fvwm 2.1.4 beta, I was horrified to discover
that my
yellow menus had gained a horrible cyan highlight! Fortunately, the bug
can
be fixed with this simple patch to the file libs/ColorUtils.c (apologies if
this
patch is reversed, I don't make diffs very often):

*** ColorUtils.c~       Tue Nov 17 01:19:17 1998
--- ColorUtils.c        Wed Dec  9 01:50:58 1998
***************
*** 124,134 ****
        max = g;
        if (b < r) {
          min = b;
!         min_max_state = G_MAX_R_MIN;
          a = r - b;
        } else {
          min = r;
!         min_max_state = G_MAX_B_MIN;
          a = b - r; 
        }
        } else {
--- 124,134 ----
        max = g;
        if (b < r) {
          min = b;
!         min_max_state = G_MAX_B_MIN;
          a = r - b;
        } else {
          min = r;
!         min_max_state = G_MAX_R_MIN;
          a = b - r; 
        }
        } else {

I am very pleased with the result... the poor highlight picking code has
always
been an annoying niggle with fvwm. Now it looks much better. Thankyou.

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].